package be.iminds.ilabt.jfed.rspec.model.impl;

import be.iminds.ilabt.jfed.rspec.model.IPv4;

/**
 * User: twalcari
 * Date: 10/27/2015
 * Time: 11:26
 */
public class BasicIPv4 implements IPv4 {
    private String address;
    private String netmask;


    public BasicIPv4() {

    }

    public BasicIPv4(IPv4 iPv4) {
        this.address = iPv4.getAddress();
        this.netmask = iPv4.getNetmask();
    }

    public BasicIPv4(String address, String netmask) {
        this.address = address;
        this.netmask = netmask;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getNetmask() {
        return netmask;
    }

    public void setNetmask(String netmask) {
        this.netmask = netmask;
    }
}
